<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>NumeriCalc</title>
    <link rel="stylesheet" href="../static/css/main.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link rel="shortcut icon" href="{{ url_for('static', filename='./images/pi.png') }}">
    
</head>
<body>

    <!-- ESTO ES EL NAVBAR -->
    <nav class="navbar navbar-expand-lg  fixed-top  navbar-dark" style="background-color: #339dee;">
      <a class="navbar-brand" href="./">
          <img src="../static/images/math.png" width="45" height="45" alt="" loading="lazy" style="margin-left: 10px;">
      </a>
          <a class="navbar-brand" href="./" style="margin-right: 25px;">NumeriCalc</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
              <li class="nav-item active">
                <a class="nav-link" href="./">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./derivadas">Derivada</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="./graficadora">Graficadora</a>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Conversiones
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./bases">Entre Bases</a>
                    <a class="dropdown-item" href="./standardieee754">Estándar IEE 754</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Raíces
                  </a>
                  <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="./biseccion">Bisección</a>
                    <a class="dropdown-item" href="./reglafalsa">Regla Falsa</a>
                    <a class="dropdown-item" href="./newtonraphson">Newton-Raphson</a>
                    <a class="dropdown-item" href="./secante">Secante</a>
                    <a class="dropdown-item" href="/raicespolinomios">Raíces de Polinomios</a>
                  </div>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Integrales
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./rectangulos">Rectángulos</a>
                  <a class="dropdown-item" href="./trapecios">Trapecios</a>
                  <a class="dropdown-item" href="./simpson13">Simpson 1/3</a>
                  <a class="dropdown-item" href="./simpson38">Simpson 3/8</a>
                  <a class="dropdown-item" href="./montecarlo">Montecarlo</a>
                </div>
              </li>   
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Matrices
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="./Msuma">Suma</a>
                  <a class="dropdown-item" href="./Mresta">Resta</a>                      
                  <a class="dropdown-item" href="./detInvTras">Determinante, Traspuesta, Inversa</a>   
                  <a class="dropdown-item" href="./matrizMultiplicacion">Multiplicación</a>             
                  <a class="dropdown-item" href="./gaussJordan">Gauss Jordan</a>
                </div>
              </li>     
              <li class="nav-item">
                <a class="nav-link" href="./ajusteCurvas">Ajuste de Crurvas</a>
              </li>             
              <li class="nav-item" style="margin-left: 720px;">
                  <a class="nav-link" href="./nosotros">Sobre Nosotros</a>
              </li>
            </ul>              
          </div>
  </nav>


    <!-- ESTO ES EL CONTENIDO -->
  <div class="page">

      <div class="textContent">
          <h3 class="text-left" style="margin-top:20px; color:#1689e0;" >
              Calculadoras de Métodos Numéricos
          </h3>
      
          <p class="text-left" style="margin-right: 200px;">
              Calculadoras realizadas por estudiantes en el curso de Métodos Numéricos de la Universidad San Buenaventura, 
              con el acompañamiento del docente Walter German Magaña con el objetivo de aprender y reforzar el conocimiento lógico-matemático.<br>
              Selecciona el Tema que buscas:
          </p>
      </div>


      <!-- ESTAS SON LAS CARDS -->
      <div class="content">
          <div class="contentCards">
              <div class="card-deck">
                  <div class="card">
                  <img src="../static/images/conversiones.png" style="padding: 20px;" class="card-img-top" alt="...">
                  <div class="card-body">
                      <h4 class="card-title">Conversiones</h4>
                      <p class="card-text">Calculadoras de:<br>
                          - Conversión entre las bases:<br>
                          <span style="color:white;">..</span>
                          Binario, Octal, Decimal, y Hexadecimal.<br>
                          - Estándar IEEE 754: <br> 
                          <span style="color:white;">..</span>
                          Conversiones para Precisión simple y
                          <br> <span style="color:white;">..</span> Precisión doble.
                          <br> 
                      </p>
                      <a href="./conversiones" class="btn btn-primary">Entrar a Calcular</a>
                  </div>
                  </div>
                  <div class="card">
                  <img src="../static/images/derivada.png" style="padding:30px; margin-bottom: -9px;" class="card-img-top" alt="...">
                  <div class="card-body">
                      <h4 class="card-title">Derivada de una Función</h4>
                      <p class="card-text">
                        Hallar las derivadas de una función:<br>
                        <span style="color:white;">..</span>
                        Primera y Segunda Derivada, de forma<br>
                          <span style="color:white;">..</span>
                          analítica y evaluada en un punto.<br>
                          <br>
                          <br>
                          <br>
                      </p>
                      <a href="./derivadas" style="margin-top: 3px;" class="btn btn-primary">Entrar a Calcular</a>
                  </div>
                  </div>
                  <div class="card">
                  <img src="../static/images/Root.png" style="padding: 30px;" class="card-img-top" alt="...">
                  <div class="card-body">
                      <h4 class="card-title">Raíces de Funciones</h4>
                      <p class="card-text">
                          Hallar las raíces por medio de:<br>
                          - Método de Bisección.<br>
                          - Método de Regla falsa.<br>
                          - Método de Newton Raphson.<br>
                          - Método de Secante<br>
                          - Método de Raíces de Polinomios<br>
                          </p>
                      <a href="./raices" class="btn btn-primary" style="margin-top: -1px;">Entrar a Calcular</a>
                  </div>
                  </div>
                  <div class="card">
                      <img src="../static/images/integralGraph.png" style="padding: 20px;" class="card-img-top" alt="...">
                      <div class="card-body">
                      <h4 class="card-title">Integrales Numéricas</h4>
                      <p class="card-text">
                          Métodos:<br>
                          - Integración por Rectángulos <br>
                          - Integración por Trapecios.<br>
                          - Integración por Simpson 1/3.<br>
                          - Integración por Simpson 3/8.<br>
                          - Método de Montecarlo.<br>
                      </p>
                      <a href="./integrales" class="btn btn-primary">Entrar a Calcular</a>
                      </div>
                  </div>              
              </div>
          </div>

          <div class="contentCards">

            <div class="card-deck">
                <div class="card">
                  <img src="../static/images/graficadora.png" style="padding: 30px;" class="card-img-top" alt="...">
                  <div class="card-body">
                  <h4 class="card-title">Graficadora</h4>
                  <p class="card-text">
                    <br>
                    Graficar una función
                    <br><br><br><br><br><br><br>
                  </p>
                  <a href="./graficadora" class="btn btn-primary">Entrar a Calcular</a>
                  </div>
                </div>
                <div class="card">
                <img src="../static/images/matrix.png" style="padding: 20px;" class="card-img-top" alt="...">
                <div class="card-body">
                    <h4 class="card-title">Matrices</h4>
                    <p class="card-text">Calculadoras de:<br>
                        - Suma y resta de Matrices<br>
                        - Transpuesta de una Matriz<br> 
                        - Determinante de una Matriz<br> 
                        - Multiplicación de Matrices<br> 
                        - Gauss Jordan<br> <br> <br> 
                    </p>
                    <a href="./matrices" class="btn btn-primary">Entrar a Calcular</a>
                </div>
                </div>
                <div class="card">
                  <img src="../static/images/ajusteCurvas1.png" style="padding: 30px;" class="card-img-top" alt="...">
                  <div class="card-body">
                      <h4 class="card-title">Ajuste de Curvas por Mínimos Cuadrados</h4>
                      <p class="card-text">Calculadoras de:<br>
                          - Ajuste a la Función Lineal<br>
                          - Ajuste a la Función Cuadrática<br> 
                          - Ajuste a la Función Cúbica<br> 
                          - Ajuste a la Función Grado 4.<br> 
                          - Ajuste a la Función Grado 5.<br> 
                          - Ajuste a la Función Grado 6.<br> 
                      </p>
                      <a href="./ajusteCurvas" class="btn btn-primary">Entrar a Calcular</a>
                  </div>
                  </div>
                <div class="card" style="border-color: white;">
                </div>        
            </div>
        </div>
      </div>
  </div>



    <!-- ESTO ES EL FOOTER -->
    <footer id="sticky-footer" class="py-4 bg-dark text-white-50">
        <div class="container text-center">
        <small>Copyright &copy; NumeriCalc</small>
        </div>
    </footer>

</body>
</html>